# Nami Documentation

## Nami Documentation

- [Welcome](https://docs.namiml.com/get-started/readme.md)
- [Key Concepts](https://docs.namiml.com/get-started/readme/key-concepts.md): An overview of the key Nami platform concepts.
- [Evaluating Nami](https://docs.namiml.com/get-started/evaluating-nami.md)

## SDK Reference

- [configure](https://docs.namiml.com/sdk-reference/nami/configure.md): Initialize the client-side Nami SDK with your App Platform ID. Required for Nami to see paywalls and campaigns defined in the Nami Control Center.
- [NamiConfiguration](https://docs.namiml.com/sdk-reference/nami/namiconfiguration.md): Fields used to configure the Nami SDK
- [NamiLanguageCodes](https://docs.namiml.com/sdk-reference/nami/namilanguagecodes.md): Languages supported by Nami paywalls.
- [launch](https://docs.namiml.com/sdk-reference/namicampaignmanager/launch.md): Show a paywall or flow
- [allCampaigns](https://docs.namiml.com/sdk-reference/namicampaignmanager/allcampaigns.md): A list of campaigns that are available to the device.
- [isCampaignAvailable](https://docs.namiml.com/sdk-reference/namicampaignmanager/iscampaignavailable.md): Returns a boolean if a matching campaign is available on the device.
- [refresh](https://docs.namiml.com/sdk-reference/namicampaignmanager/refresh.md)
- [registerAvailableCampaignsHandler](https://docs.namiml.com/sdk-reference/namicampaignmanager/registeravailablecampaignshandler.md)
- [NamiCampaign](https://docs.namiml.com/sdk-reference/namicampaignmanager/namicampaign.md)
- [NamiCampaignRuleType](https://docs.namiml.com/sdk-reference/namicampaignmanager/namicampaignruletype.md)
- [LaunchCampaignError](https://docs.namiml.com/sdk-reference/namicampaignmanager/launchcampaignerror.md)
- [CustomerJourneyState](https://docs.namiml.com/sdk-reference/namicustomermanager/customerjourneystate.md): Class representing the state of a customer's subscription journey.
- [isLoggedIn](https://docs.namiml.com/sdk-reference/namicustomermanager/isloggedin.md): Return if a user is currently logged into the device
- [journeyState](https://docs.namiml.com/sdk-reference/namicustomermanager/journeystate.md): Returns the current state of a customer's subscription journey.
- [loggedInId](https://docs.namiml.com/sdk-reference/namicustomermanager/loggedinid.md): Return the unique customer identifier associated with the current device.
- [login](https://docs.namiml.com/sdk-reference/namicustomermanager/login.md): Provide a customer id to link one or more devices to a known customer.
- [logout](https://docs.namiml.com/sdk-reference/namicustomermanager/logout.md): Disassociate a device from a customer identifier.
- [registerAccountStateHandler](https://docs.namiml.com/sdk-reference/namicustomermanager/registeraccountstatehandler.md)
- [registerJourneyStateHandler](https://docs.namiml.com/sdk-reference/namicustomermanager/registerjourneystatehandler.md)
- [setCustomerAttribute](https://docs.namiml.com/sdk-reference/namicustomermanager/setcustomerattribute.md)
- [getCustomerAttribute](https://docs.namiml.com/sdk-reference/namicustomermanager/getcustomerattribute.md)
- [clearCustomerAttribute](https://docs.namiml.com/sdk-reference/namicustomermanager/clearcustomerattribute.md)
- [clearAllCustomerAttributes](https://docs.namiml.com/sdk-reference/namicustomermanager/clearallcustomerattributes.md)
- [active](https://docs.namiml.com/sdk-reference/namientitlementmanager/active.md): Retrieve all active entitlements for a user on the current device.
- [isEntitlementActive](https://docs.namiml.com/sdk-reference/namientitlementmanager/isentitlementactive.md): Check if a single entitlement is currently active.
- [NamiEntitlement](https://docs.namiml.com/sdk-reference/namientitlementmanager/namientitlement.md): Object that contains data about an entitlement on the Nami Platform.
- [refresh](https://docs.namiml.com/sdk-reference/namientitlementmanager/refresh.md): Manually trigger a refresh of the user's latest active entitlements from the Nami services.
- [registerActiveEntitlementsHandler](https://docs.namiml.com/sdk-reference/namientitlementmanager/registeractiveentitlementshandler.md)
- [dismiss](https://docs.namiml.com/sdk-reference/namipaywallmanager/dismiss.md): Close a paywall if it is open
- [displayedViewController](https://docs.namiml.com/sdk-reference/namipaywallmanager/displayedviewcontroller.md)
- [registerSignInHandler](https://docs.namiml.com/sdk-reference/namipaywallmanager/registersigninhandler.md): Register a sign-in provider to handle your own sign-in logic
- [registerCloseHandler](https://docs.namiml.com/sdk-reference/namipaywallmanager/registerclosehandler.md)
- [registerBuySkuHandler](https://docs.namiml.com/sdk-reference/namipaywallmanager/registerbuyskuhandler.md)
- [registerDeeplinkActionHandler](https://docs.namiml.com/sdk-reference/namipaywallmanager/registerdeeplinkactionhandler.md): Register a handler that calls back with a  when a paywall's Deeplink Button is invoked
- [buySkuComplete](https://docs.namiml.com/sdk-reference/namipaywallmanager/buyskucomplete.md)
- [NamiPurchaseSuccess](https://docs.namiml.com/sdk-reference/namipaywallmanager/namipurchasesuccess.md)
- [NamiPaywallAction](https://docs.namiml.com/sdk-reference/namipaywallmanager/namipaywallaction.md)
- [NamiSKUType](https://docs.namiml.com/sdk-reference/namipaywallmanager/namiskutype.md): Enum defining types of SKUs
- [anySkuPurchased](https://docs.namiml.com/sdk-reference/namipurchasemanager/anyskupurchased.md): Check if any of the passed in product SKU IDs have been purchased by the device.
- [consumePurchasedSku](https://docs.namiml.com/sdk-reference/namipurchasemanager/consumepurchasedsku.md): Mark a consumable IAP as processed so it can be purchased again.
- [NamiPurchase](https://docs.namiml.com/sdk-reference/namipurchasemanager/namipurchase.md): Object representing a purchase in the Nami Platform.
- [NamiPurchaseState](https://docs.namiml.com/sdk-reference/namipurchasemanager/namipurchasestate.md)
- [NamiRestorePurchasesState](https://docs.namiml.com/sdk-reference/namipurchasemanager/namirestorepurchasesstate.md)
- [NamiSKU](https://docs.namiml.com/sdk-reference/namipurchasemanager/namisku.md): Object that contains all the data on a in-app purchase SKU for an App Platform.
- [presentCodeRedemptionSheet](https://docs.namiml.com/sdk-reference/namipurchasemanager/presentcoderedemptionsheet.md)
- [registerPurchasesChangedHandler](https://docs.namiml.com/sdk-reference/namipurchasemanager/registerpurchaseschangedhandler.md)
- [registerRestorePurchasesHandler](https://docs.namiml.com/sdk-reference/namipurchasemanager/registerrestorepurchaseshandler.md)
- [restorePurchases](https://docs.namiml.com/sdk-reference/namipurchasemanager/restorepurchases.md): Start the process to restore any purchases not currently active on the device.
- [skuPurchased](https://docs.namiml.com/sdk-reference/namipurchasemanager/skupurchased.md): Check if a specific product SKU has been purchased.
- [coreAction](https://docs.namiml.com/sdk-reference/namimlmanager/coreaction.md): Inform the SDK about an important action a user may take in your app.
- [enterCoreContent](https://docs.namiml.com/sdk-reference/namimlmanager/entercorecontent.md): Inform the SDK when a user starts consuming content that is core to your app experience
- [exitCoreContent](https://docs.namiml.com/sdk-reference/namimlmanager/exitcorecontent.md): Inform the SDK when a user has finished consuming content that is core to your app experience.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.namiml.com/get-started/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
